#!/bin/sh
# -*- mode: sh; tab-width: 8; encoding: utf-8-unix -*-

ROLE=toxcore
prog=$( basename $0 .bash )
NOW=`date "+%Y-%m-%d_%H"`

. /usr/local/bin/usr_local_tput.bash 2>/dev/null >/dev/null || exit 2
PREFIX=/var/local
BINDIR=$PREFIX/bin
[ -n "$USER" ] && USER=$( id -un )

[ -n "$socks_proxy" ] || . /usr/local/bin/proxy_export.bash 2>/dev/null >/dev/null
[ -n "$socks_proxy" ] && sproxy=`echo $socks_proxy | sed -e 's@.*://@@'`


if [ $# -gt 0 ] && [ $1 = --test ] ; then
    test='--test'
    shift
else
    test=''
fi

[ $# -gt 0 ] && prot=$1 || prot=ipv4

[ $# -gt 1 ] && host=$2 || host=127.0.0.1

[ $# -gt 2 ] && port=$3 || {
	[ -f /etc/tox-bootstrapd.conf ] && \
	    port=`grep ^port /etc/tox-bootstrapd.conf | sed -e 's/.*[ ]//'`
    }
[ -n "$port" ] || port=33446

[ $# -gt 3 ] && network=$4 || network=old
if [ $network == new ] || [ $network == newlocal ] ; then
    test=--test
elif [ $network == old ] ; then
    test=
fi

dbug       $PREFIX/src/toxygen/toxygen/tests/bootstrap_node_info.py $test $prot $host $port
python3.sh $PREFIX/src/toxygen/toxygen/tests/bootstrap_node_info.py $test $prot $host $port

